Bug 822968 - RFE: ProxyFactory should make resource configuration always available
RFE: ProxyFactory should make resource configuration always available
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: JON 3.1.1
Assigned To: Lukas Krejci
Mike Foley
: FutureFeature
Depends On:
Blocks: 847804
  Show dependency treegraph
 
Reported: 2012-05-18 12:09 EDT by Lukas Krejci
Modified: 2013-09-03 11:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 847804 (view as bug list)
Environment:
Last Closed: 2013-09-03 11:19:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2012-05-18 12:09:28 EDT
Description of problem:

Directly after import, the resource has no attached resource configuration object. This object is only attached with the first configuration report from the agent or at a request for live configuration of the resource.

The GUI makes sure to always get the configuration of the resource, reaching out to the agent to get the live values.

The ProxyFactory doesn't provide such ability but it should, being the convenience wrapper that we use in the CLI.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Import a resource
2. Instantly after that create a proxy for that resource in the CLI
3. do: pretty.print(resource.resourceConfiguration.properties)
  
Actual results:
0 rows

Expected results:
a configuration object containing the true resource configuration

Additional info:
Comment 1 Charles Crouch 2012-05-21 09:50:14 EDT
Mis-added as7-plugin as blocker, removing
Comment 2 Charles Crouch 2012-05-21 11:43:28 EDT
I'd like to see this in 3.1.1 as it makes our scripts more complex
Comment 3 John Sanda 2012-08-02 14:52:26 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 4 John Sanda 2012-08-02 21:17:03 EDT
Moving back to ON_DEV. This was incorrectly moved to ON_QA in comment 3.
Comment 5 Lukas Krejci 2012-08-14 07:48:30 EDT
release/jon3.1.x http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=e789b4e53ee6989e2f1abeb9b006eb56e725a900
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Tue Aug 14 13:44:58 2012 +0200

    [BZ 847804] - make sure to fetch the latest known resource config through
    the proxy factory.
    (cherry picked from commit bbdcaee2ca23717a53277fe0bb479f761f46025e)
Comment 6 John Sanda 2012-08-22 01:51:55 EDT
Moving to ON_QA. The JON 3.1.1 ER3 build is available at https://brewweb.devel.redhat.com/buildinfo?buildID=230321.
Comment 7 Filip Brychta 2012-08-24 08:22:41 EDT
Verified on JON 3.1.1 ER3
Comment 8 Heiko W. Rupp 2013-09-03 11:19:42 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.